App\Library\Amazon\Classes\PetSuppliesMisc:
    xml_root_name: PetSuppliesMisc
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\PetSuppliesMisc\VariationDataAType
        allergenInformation:
            expose: true
            access_type: public_method
            serialized_name: AllergenInformation
            accessor:
                getter: getAllergenInformation
                setter: setAllergenInformation
            xml_list:
                inline: true
                entry_name: AllergenInformation
            type: array<string>
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: App\Library\Amazon\Classes\BatteryLifeDimensionType
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: App\Library\Amazon\Classes\BatteryLifeDimensionType
        batteryCapacity:
            expose: true
            access_type: public_method
            serialized_name: BatteryCapacity
            accessor:
                getter: getBatteryCapacity
                setter: setBatteryCapacity
            type: App\Library\Amazon\Classes\BatteryPowerDimensionType
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        batteryPower:
            expose: true
            access_type: public_method
            serialized_name: BatteryPower
            accessor:
                getter: getBatteryPower
                setter: setBatteryPower
            type: App\Library\Amazon\Classes\BatteryPowerIntegerDimensionType
        breedRecommendation:
            expose: true
            access_type: public_method
            serialized_name: BreedRecommendation
            accessor:
                getter: getBreedRecommendation
                setter: setBreedRecommendation
            type: string
        bulbLifeSpan:
            expose: true
            access_type: public_method
            serialized_name: BulbLifeSpan
            accessor:
                getter: getBulbLifeSpan
                setter: setBulbLifeSpan
            type: App\Library\Amazon\Classes\TimeIntegerDimensionType
        careInstructions:
            expose: true
            access_type: public_method
            serialized_name: CareInstructions
            accessor:
                getter: getCareInstructions
                setter: setCareInstructions
            xml_list:
                inline: true
                entry_name: CareInstructions
            type: array<string>
        closureType:
            expose: true
            access_type: public_method
            serialized_name: ClosureType
            accessor:
                getter: getClosureType
                setter: setClosureType
            type: string
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            xml_list:
                inline: true
                entry_name: CompatibleDevices
            type: array<string>
        containsFoodOrBeverage:
            expose: true
            access_type: public_method
            serialized_name: ContainsFoodOrBeverage
            accessor:
                getter: getContainsFoodOrBeverage
                setter: setContainsFoodOrBeverage
            type: boolean
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\PetSuppliesMisc\ColorSpecificationAType
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        dogSize:
            expose: true
            access_type: public_method
            serialized_name: DogSize
            accessor:
                getter: getDogSize
                setter: setDogSize
            type: string
        energyEfficiencyRating:
            expose: true
            access_type: public_method
            serialized_name: EnergyEfficiencyRating
            accessor:
                getter: getEnergyEfficiencyRating
                setter: setEnergyEfficiencyRating
            type: string
        eUEnergyLabelEfficiencyClass:
            expose: true
            access_type: public_method
            serialized_name: EUEnergyLabelEfficiencyClass
            accessor:
                getter: getEUEnergyLabelEfficiencyClass
                setter: setEUEnergyLabelEfficiencyClass
            type: string
        externalCertification:
            expose: true
            access_type: public_method
            serialized_name: ExternalCertification
            accessor:
                getter: getExternalCertification
                setter: setExternalCertification
            xml_list:
                inline: true
                entry_name: ExternalCertification
            type: array<string>
        fillMaterialType:
            expose: true
            access_type: public_method
            serialized_name: FillMaterialType
            accessor:
                getter: getFillMaterialType
                setter: setFillMaterialType
            type: string
        flavor:
            expose: true
            access_type: public_method
            serialized_name: Flavor
            accessor:
                getter: getFlavor
                setter: setFlavor
            type: string
        girthSize:
            expose: true
            access_type: public_method
            serialized_name: GirthSize
            accessor:
                getter: getGirthSize
                setter: setGirthSize
            type: App\Library\Amazon\Classes\GirthSizeType
        heightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: HeightRecommendation
            accessor:
                getter: getHeightRecommendation
                setter: setHeightRecommendation
            type: App\Library\Amazon\Classes\HeightRecommendationType
        healthBenefits:
            expose: true
            access_type: public_method
            serialized_name: HealthBenefits
            accessor:
                getter: getHealthBenefits
                setter: setHealthBenefits
            xml_list:
                inline: true
                entry_name: HealthBenefits
            type: array<string>
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            xml_list:
                inline: true
                entry_name: IncludedComponents
            type: array<string>
        includesAcAdapter:
            expose: true
            access_type: public_method
            serialized_name: IncludesAcAdapter
            accessor:
                getter: getIncludesAcAdapter
                setter: setIncludesAcAdapter
            type: boolean
        includesRemote:
            expose: true
            access_type: public_method
            serialized_name: IncludesRemote
            accessor:
                getter: getIncludesRemote
                setter: setIncludesRemote
            type: boolean
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        innerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterialType
            accessor:
                getter: getInnerMaterialType
                setter: setInnerMaterialType
            type: string
        isExpirationDatedProduct:
            expose: true
            access_type: public_method
            serialized_name: IsExpirationDatedProduct
            accessor:
                getter: getIsExpirationDatedProduct
                setter: setIsExpirationDatedProduct
            type: boolean
        isAssemblyRequired:
            expose: true
            access_type: public_method
            serialized_name: IsAssemblyRequired
            accessor:
                getter: getIsAssemblyRequired
                setter: setIsAssemblyRequired
            type: boolean
        isPortable:
            expose: true
            access_type: public_method
            serialized_name: IsPortable
            accessor:
                getter: getIsPortable
                setter: setIsPortable
            type: boolean
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayDiameter
            accessor:
                getter: getItemDisplayDiameter
                setter: setItemDisplayDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayHeight:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayHeight
            accessor:
                getter: getItemDisplayHeight
                setter: setItemDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayWidth:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayWidth
            accessor:
                getter: getItemDisplayWidth
                setter: setItemDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemForm:
            expose: true
            access_type: public_method
            serialized_name: ItemForm
            accessor:
                getter: getItemForm
                setter: setItemForm
            type: string
        itemThickness:
            expose: true
            access_type: public_method
            serialized_name: ItemThickness
            accessor:
                getter: getItemThickness
                setter: setItemThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        lightOutputLuminance:
            expose: true
            access_type: public_method
            serialized_name: LightOutputLuminance
            accessor:
                getter: getLightOutputLuminance
                setter: setLightOutputLuminance
            type: App\Library\Amazon\Classes\LuminancePositiveIntegerDimensionType
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            xml_list:
                inline: true
                entry_name: MaterialComposition
            type: array<string>
        maxOrderingQuantity:
            expose: true
            access_type: public_method
            serialized_name: MaxOrderingQuantity
            accessor:
                getter: getMaxOrderingQuantity
                setter: setMaxOrderingQuantity
            type: integer
        maximumAgeRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MaximumAgeRecommendation
            accessor:
                getter: getMaximumAgeRecommendation
                setter: setMaximumAgeRecommendation
            type: integer
        maximumPower:
            expose: true
            access_type: public_method
            serialized_name: MaximumPower
            accessor:
                getter: getMaximumPower
                setter: setMaximumPower
            type: App\Library\Amazon\Classes\PetPowerDimensionType
        mfgWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionLabor
            accessor:
                getter: getMfgWarrantyDescriptionLabor
                setter: setMfgWarrantyDescriptionLabor
            type: string
        mfgWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionParts
            accessor:
                getter: getMfgWarrantyDescriptionParts
                setter: setMfgWarrantyDescriptionParts
            type: string
        mfgWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionType
            accessor:
                getter: getMfgWarrantyDescriptionType
                setter: setMfgWarrantyDescriptionType
            type: string
        minimumAgeRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MinimumAgeRecommendation
            accessor:
                getter: getMinimumAgeRecommendation
                setter: setMinimumAgeRecommendation
            type: integer
        neckSize:
            expose: true
            access_type: public_method
            serialized_name: NeckSize
            accessor:
                getter: getNeckSize
                setter: setNeckSize
            type: App\Library\Amazon\Classes\NeckSizeType
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        nutritionFacts:
            expose: true
            access_type: public_method
            serialized_name: NutritionFacts
            accessor:
                getter: getNutritionFacts
                setter: setNutritionFacts
            type: string
        outerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterialType
            accessor:
                getter: getOuterMaterialType
                setter: setOuterMaterialType
            type: string
        patternName:
            expose: true
            access_type: public_method
            serialized_name: PatternName
            accessor:
                getter: getPatternName
                setter: setPatternName
            type: string
        petLifeStage:
            expose: true
            access_type: public_method
            serialized_name: PetLifeStage
            accessor:
                getter: getPetLifeStage
                setter: setPetLifeStage
            type: string
        petType:
            expose: true
            access_type: public_method
            serialized_name: PetType
            accessor:
                getter: getPetType
                setter: setPetType
            xml_list:
                inline: true
                entry_name: PetType
            type: array<string>
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        productFeature:
            expose: true
            access_type: public_method
            serialized_name: ProductFeature
            accessor:
                getter: getProductFeature
                setter: setProductFeature
            type: string
        productSampleReceivedDate:
            expose: true
            access_type: public_method
            serialized_name: ProductSampleReceivedDate
            accessor:
                getter: getProductSampleReceivedDate
                setter: setProductSampleReceivedDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\Date
        recommendedUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: RecommendedUsesForProduct
            accessor:
                getter: getRecommendedUsesForProduct
                setter: setRecommendedUsesForProduct
            type: string
        recycledContentPercentage:
            expose: true
            access_type: public_method
            serialized_name: RecycledContentPercentage
            accessor:
                getter: getRecycledContentPercentage
                setter: setRecycledContentPercentage
            type: float
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        scentName:
            expose: true
            access_type: public_method
            serialized_name: ScentName
            accessor:
                getter: getScentName
                setter: setScentName
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        specificationMet:
            expose: true
            access_type: public_method
            serialized_name: SpecificationMet
            accessor:
                getter: getSpecificationMet
                setter: setSpecificationMet
            type: string
        storageInstructions:
            expose: true
            access_type: public_method
            serialized_name: StorageInstructions
            accessor:
                getter: getStorageInstructions
                setter: setStorageInstructions
            type: string
        tankSize:
            expose: true
            access_type: public_method
            serialized_name: TankSize
            accessor:
                getter: getTankSize
                setter: setTankSize
            type: App\Library\Amazon\Classes\VolumeDimensionType
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        volume:
            expose: true
            access_type: public_method
            serialized_name: Volume
            accessor:
                getter: getVolume
                setter: setVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        weightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: WeightRecommendation
            accessor:
                getter: getWeightRecommendation
                setter: setWeightRecommendation
            type: App\Library\Amazon\Classes\WeightRecommendationType
        widthSize:
            expose: true
            access_type: public_method
            serialized_name: WidthSize
            accessor:
                getter: getWidthSize
                setter: setWidthSize
            type: App\Library\Amazon\Classes\WidthSizeType
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        materialFeatures:
            expose: true
            access_type: public_method
            serialized_name: MaterialFeatures
            accessor:
                getter: getMaterialFeatures
                setter: setMaterialFeatures
            type: string
        legalComplianceCertificationRegulatoryOrganizationName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationRegulatoryOrganizationName
            accessor:
                getter: getLegalComplianceCertificationRegulatoryOrganizationName
                setter: setLegalComplianceCertificationRegulatoryOrganizationName
            type: string
        legalComplianceCertificationCertifyingAuthorityName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationCertifyingAuthorityName
            accessor:
                getter: getLegalComplianceCertificationCertifyingAuthorityName
                setter: setLegalComplianceCertificationCertifyingAuthorityName
            type: string
        legalComplianceCertificationGeographicJurisdiction:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationGeographicJurisdiction
            accessor:
                getter: getLegalComplianceCertificationGeographicJurisdiction
                setter: setLegalComplianceCertificationGeographicJurisdiction
            type: string
        legalComplianceCertificationStatus:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationStatus
            accessor:
                getter: getLegalComplianceCertificationStatus
                setter: setLegalComplianceCertificationStatus
            type: string
        legalComplianceCertificationMetadata:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationMetadata
            accessor:
                getter: getLegalComplianceCertificationMetadata
                setter: setLegalComplianceCertificationMetadata
            type: string
        legalComplianceCertificationExpirationDate:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationExpirationDate
            accessor:
                getter: getLegalComplianceCertificationExpirationDate
                setter: setLegalComplianceCertificationExpirationDate
            type: string
        legalComplianceCertificationDateOfIssue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationDateOfIssue
            accessor:
                getter: getLegalComplianceCertificationDateOfIssue
                setter: setLegalComplianceCertificationDateOfIssue
            type: string
        legalComplianceCertificationValue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationValue
            accessor:
                getter: getLegalComplianceCertificationValue
                setter: setLegalComplianceCertificationValue
            type: string
